## RygelPhotoItem

RygelPhotoItem — Represents a photo item.

## Functions

#define | RYGEL_TYPE_PHOTO_ITEM
RygelPhotoItem * | rygel_photo_item_new ()

## Types and Values

#define | RYGEL_PHOTO_ITEM_UPNP_CLASS
struct | RygelPhotoItem
struct | RygelPhotoItemClass

## Object Hierarchy

        GObject
        ╰── RygelMediaObject
            ╰── RygelMediaItem
                ╰── RygelImageItem
                    ╰── RygelPhotoItem

## Implemented Interfaces

RygelPhotoItem implements RygelVisualItem.

## Description

## Functions

### RYGEL_TYPE_PHOTO_ITEM

    #define RYGEL_TYPE_PHOTO_ITEM (rygel_photo_item_get_type ())

The type for RygelPhotoItem.

### rygel_photo_item_new ()

    RygelPhotoItem *
    rygel_photo_item_new (const gchar *id,
                          RygelMediaContainer *parent,
                          const gchar *title,
                          const gchar *upnp_class);

#### Parameters

id |  |
parent |  |
title |  |
upnp_class |  |

## Types and Values

### RYGEL_PHOTO_ITEM_UPNP_CLASS

    #define RYGEL_PHOTO_ITEM_UPNP_CLASS "object.item.imageItem.photo"

### struct RygelPhotoItem

    struct RygelPhotoItem;

Represents a photo item.

### struct RygelPhotoItemClass

    struct RygelPhotoItemClass {
    	RygelImageItemClass parent_class;
    };

The class structure for `RYGEL_TYPE_PHOTO_ITEM`. All the fields in this structure are private and should never be accessed directly.

#### Members

RygelImageItemClass `parent_class`; | the parent class structure |